const designService = require('../services/design.service');

const designController = {
  // 获取颜色统计数据
  getColorStatistics: async (req, res) => {
    try {
      const stats = await designService.getAllColorsStatistics();
      res.json({
        success: true,
        data: stats
      });
    } catch (error) {
      console.error('获取颜色统计失败:', error);
      res.status(500).json({ 
        success: false,
        error: '获取颜色统计数据失败'
      });
    }
  },
  
  // 记录设计使用
  recordDesignUsage: async (req, res) => {
    try {
      const design = {
        part1: req.body.part1,
        part2: req.body.part2,
        part3: req.body.part3,
        part4: req.body.part4,
      };
      
      await designService.saveDesign(design);
      res.json({ success: true });
    } catch (error) {
      console.error('记录设计使用失败:', error);
      res.status(400).json({ 
        success: false,
        error: error.message
      });
    }
  }
};

// 确保正确导出控制器对象
module.exports = designController;